Monday, November 16, 2009

Downgrading Safari for Mac OS X

Today I ran into an issue running my GWT application. The problem came from updating to Safari 4.0.4 (to read on this issue click here).

The obvious solution was to downgrade back to Safari 4.0.3. I have needed to do this before and it was not an easy task (I'm running Mac OS X 10.5.8) Finally, I found an easy way to accomplish this task.

First, you need to download an application called Pacifist. Then you need to find the dmg image for the version of Safari you want to downgrade to. In my case, 4.0.3 can be found here. Once you have the package downloaded, you will need to open it in Pacifist. Select the pkg and hit "Install". Once it starts the install process, it will tell you that the file(s) already exist. For all files / applications, tell it to "Replace" the existing file.